


    /* EPC Imp to C Translation Release 4 Version Apr 95 */


#include "imptoc.h"

 
main() {
int i,fail;
int *p,*q;
char s [11] ;
char *x,*y;
void test( void ,void );
 fail=0;
 i=10;	 strcpy(s,"MESS");
 p=&i;	 q=p;
 x=s;
 y=((char *)0);
if (*q!=10 || (int)q!=(int)&i || (int)p!=(int)q) {fprintf(out_file, "%s", "BUG1 FOUND"); fail=1;}
 test(p,x);
 test(q,x);
if (i!=12) {fprintf(out_file, "%s", "bug 3 found"); fail=1;}
if (fail==0)  fprintf(out_file, "%s", "TEST OK");
static void test(int *t1,char * t2) {
if ((int)t1!=(int)&i || strcmp(t2,s)!=0) {fprintf(out_file, "%s", "BUG2 FOUND"); fail=1;}
 i++;
}
exit(0);
}

/* end of automatic translation */

